io.milvus.param

## Enum R.Status

- java.lang.Object
- - java.lang.Enum<R.Status>
  - - io.milvus.param.R.Status

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<R.Status>

Enclosing class:
  R<T>

    public static enum R.Status
    extends java.lang.Enum<R.Status>

Represents server and client side status code

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BuildIndexError`
`CacheFailed`
`CannotCreateFile`
`CannotCreateFolder`
`CannotDeleteFile`
`CannotDeleteFolder`
`ClientNotConnected`
`CollectionNotExists`
`ConnectFailed`
`DDRequestRace`
`EmptyCollection`
`FileNotFound`
`IllegalArgument`
`IllegalCollectionName`
`IllegalDimension`
`IllegalIndexType`
`IllegalMetricType`
`IllegalNLIST`
`IllegalResponse`
`IllegalRowRecord`
`IllegalSearchResult`
`IllegalTOPK`
`IllegalVectorID`
`IndexNotExist`
`MetaFailed`
`OutOfMemory`
`ParamError`
`PermissionDenied`
`RpcError`
`Success`
`UnexpectedError`
`Unknown`
`VersionMismatch`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getCode()`
`static R.Status` `valueOf(int val)`
`static R.Status` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static R.Status[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Success

    public static final R.Status Success

#### UnexpectedError

    public static final R.Status UnexpectedError

#### ConnectFailed

    public static final R.Status ConnectFailed

#### PermissionDenied

    public static final R.Status PermissionDenied

#### CollectionNotExists

    public static final R.Status CollectionNotExists

#### IllegalArgument

    public static final R.Status IllegalArgument

#### IllegalDimension

    public static final R.Status IllegalDimension

#### IllegalIndexType

    public static final R.Status IllegalIndexType

#### IllegalCollectionName

    public static final R.Status IllegalCollectionName

#### IllegalTOPK

    public static final R.Status IllegalTOPK

#### IllegalRowRecord

    public static final R.Status IllegalRowRecord

#### IllegalVectorID

    public static final R.Status IllegalVectorID

#### IllegalSearchResult

    public static final R.Status IllegalSearchResult

#### FileNotFound

    public static final R.Status FileNotFound

#### MetaFailed

    public static final R.Status MetaFailed

#### CacheFailed

    public static final R.Status CacheFailed

#### CannotCreateFolder

    public static final R.Status CannotCreateFolder

#### CannotCreateFile

    public static final R.Status CannotCreateFile

#### CannotDeleteFolder

    public static final R.Status CannotDeleteFolder

#### CannotDeleteFile

    public static final R.Status CannotDeleteFile

#### BuildIndexError

    public static final R.Status BuildIndexError

#### IllegalNLIST

    public static final R.Status IllegalNLIST

#### IllegalMetricType

    public static final R.Status IllegalMetricType

#### OutOfMemory

    public static final R.Status OutOfMemory

#### IndexNotExist

    public static final R.Status IndexNotExist

#### EmptyCollection

    public static final R.Status EmptyCollection

#### DDRequestRace

    public static final R.Status DDRequestRace

#### RpcError

    public static final R.Status RpcError

#### ClientNotConnected

    public static final R.Status ClientNotConnected

#### Unknown

    public static final R.Status Unknown

#### VersionMismatch

    public static final R.Status VersionMismatch

#### ParamError

    public static final R.Status ParamError

#### IllegalResponse

    public static final R.Status IllegalResponse

### Method Detail

#### values

    public static R.Status[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (R.Status c : R.Status.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static R.Status valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### valueOf

    public static R.Status valueOf(int val)

#### getCode

    public int getCode()